QMimeSource(3qt)

NAME
QMimeSource - An abstract piece of formatted data

#include <qmime.h>

Inherited by QDragObject and QDropEvent.

  Public Members
virtual ~QMimeSource ()
virtual const char* format ( int n = 0 ) const
virtual bool provides ( const char * ) const
virtual QByteArray encodedData ( const char * ) const

DESCRIPTION
An abstract piece of formatted data.

Drag-and-drop and clipboard use this abstraction.

See also IANA list of MIME media types

MEMBER FUNCTION DOCUMENTATION

QMimeSource::~QMimeSource () [virtual]
Provided to ensure subclasses destruct correctly.

QByteArray QMimeSource::encodedData ( const char * ) const [virtual]
Returns the encoded payload of this object, in the specified MIME format.

Subclasses must reimplement this function.

Reimplemented in QDropEvent.

const char * QMimeSource::format ( int i = 0 ) const [virtual]
Returns the ith format, or NULL.

Reimplemented in QTextDrag, QImageDrag, QDropEvent and QStoredDrag.

bool QMimeSource::provides ( const char * mimeType ) const [virtual]
Returns TRUE if the object can provide the data in format mimeType. The default implementation iterates over format().

Note that it is often better to use the more-abstract canDecode() functions such as QTextDrag::canDecode() and QImageDrag::canDecode().

Reimplemented in QDropEvent.

SEE ALSO
http://doc.trolltech.com/qmimesource.html http://www.trolltech.com/faq/tech.html

COPYRIGHT
Copyright 1992-2001 Trolltech AS, http://www.trolltech.com. See the license file included in the distribution for a complete license statement.

AUTHOR
Generated automatically from the source code.

BUGS
If you find a bug in Qt, please report it as described in http://doc.trolltech.com/bughowto.html. Good bug reports make our job much simpler. Thank you.

In case of content or formattting problems with this manual page, please report them to qt-bugs@trolltech.com. Please include the name of the manual page (qmimesource.3) and the Qt version (2.3.0).